# $Revision: 1.11 $, $Date: 2002/10/14 23:19:27 $
Summary:	Tag editor for MP3 and OGG files
Summary(pl):	Edytor etykiet plikw MP3 i OGG
Name:		easytag
Version:	0.20
Release:	2
License:	GPL
Vendor:		Jerome Couderc <j.couderc@ifrance.com>
Group:		X11/Applications
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/easytag/%{name}-%{version}.tar.gz
Patch0:		%{name}-no_inclusion_patch_in_configurein.patch
Patch1:		%{name}-desktop.patch
URL:		http://easytag.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel      >= 1.2.7
BuildRequires:	id3lib-devel    >= 3.7.13
BuildRequires:	libogg-devel    >= 1.0
BuildRequires:	libvorbis-devel >= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
EasyTAG is an utility for viewing, editing and writing tags of your
MP3, MP2, FLAC and OGG files. Its simple and nice GTK+ interface makes
tagging easier.

Features:
  - View, edit, write tags of MP3, MP2, FLAC files (supporting ID3v2 and
    ID3v1.x specifications) and OGG files,
  - Auto tagging: parse filename and directory to complete automatically
    the fields (using masks),
  - Ability to rename files from the tag (using masks) or by loading a
    txt file,
  - Process all files of the selected directory,
  - Ability to browse subdirectories,
  - Recursion for tagging, removing, renaming, saving...,
  - Can set a field (artist, title,...) to all other files,
  - Read file header informations (bitrate, time, ...) and display them,
  - A tree based browser,
  - A list to select files,
  - Simple and explicit interface!,
  - A playlist generator window,
  - A file searching window.

%description -l pl
EasyTAG to narzdzie do przegldania, modyfikownia i zapisywania
etykiet (tagw) w plikach MP3, MP2, FLAC i OGG. Prosty i miy
interfejs GTK+ uatwia to zadanie.

Moliwoci:
 - przegldanie, modyfikowanie, zapisywanie etykiet w plikach MP3,
   MP2, FLAC (z obsug formatw ID3v2 i ID3v1.x) i OGG
 - automatyczne etykietowanie: tworzenie pl na podstawie nazwy pliku
   i katalogu (przy uyciu masek)
 - moliwo zmiany nazw plikw na podstawie etykiet (przy uyciu
   masek) lub wczytujc je z pliku tekstowego
 - obrbka wszystkich plikw w podanym katalogu
 - moliwo przegldania podkatalogw
 - rekurencja przy etykietowaniu, usuwaniu, zmianie nazw, zapisywaniu
 - moliwo ustawienia pola (wykonawca, tytu...) we wszystkich
   pozostaych plikach
 - wczytywanie i wywietlanie informacji z nagwka (czas, jako)
 - przegldarka bazujca na drzewie
 - lista z wyborem plikw
 - prosty inferfejs
 - generowanie playlist
 - wyszukiwanie plikw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__gettextize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gnome_menudir=%{_applnkdir}/Multimedia

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README TODO THANKS USERS-GUIDE
%attr(755,root,root) %{_bindir}/easytag
%{_applnkdir}/Multimedia/easytag.desktop
%{_pixmapsdir}/*
%{_datadir}/easytag

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: easytag.spec,v $
Revision 1.11  2002/10/14 23:19:27  ankry
- fixed desktop (-desktop.patch): pl commnet + converted to UTF

Revision 1.10  2002/10/14 22:37:26  fastviper
- added patch to fix problem with output file inclusion in fonfigure.in
- release 2
- not finished! Gettext/find_lang is broken, and package still cannot be built.

Revision 1.9  2002/10/07 23:54:13  kloczek
- cosmetics.

Revision 1.8  2002/10/07 10:48:28  qboosh
- BR: autoconf,automake,gettext-devel

Revision 1.7  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.6  2002/05/27 07:55:21  qboosh
- removed COPYING (known - GPL) and INSTALL from doc

Revision 1.5  2002/05/26 22:04:56  michuz
- finished (ready for testing)

Revision 1.4  2002/05/25 11:10:27  qboosh
- pl translation
- partially fixed file list

Revision 1.3  2002/05/23 15:00:01  michuz
- fixed group

Revision 1.2  2002/05/23 14:04:22  ankry
- changed non-working http source URL (sourceforge) to ftp one

Revision 1.1  2002/05/23 09:12:13  michuz
- taken from RH
- NFY
